| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | List of all members
GaudiPython.Bindings.iJobOptSvc Class Reference
Inheritance diagram for GaudiPython.Bindings.iJobOptSvc:
[legend]
Collaboration diagram for GaudiPython.Bindings.iJobOptSvc:
[legend]

## Public Member Functions
def | __init__ (self, name, svc)
def | getProperties (self, component)
def | getProperty (self, component, name)
Public Member Functions inherited from GaudiPython.Bindings.iService
def | retrieveInterface (self)
def | initialize (self)
def | start (self)
def | stop (self)
def | finalize (self)
def | reinitialize (self)
def | restart (self)
def | isValid (self)
Public Member Functions inherited from GaudiPython.Bindings.iProperty
def | getInterface (self)
def | __call_interface_method__ (self, ifname, method, *args)
def | __setattr__ (self, name, value)
def | __getattr__ (self, name)
def | properties (self)
def | name (self)

## Detailed Description

    Python-image of C++ class IJobOptionsSvc

Definition at line 843 of file Bindings.py.

## Constructor & Destructor Documentation

## ◆ __init__()

def GaudiPython.Bindings.iJobOptSvc.__init__ | ( |  | self,
|  |  | name,
|  |  | svc
| ) |  |

    constructor

Reimplemented from GaudiPython.Bindings.iService.

Definition at line 850 of file Bindings.py.

850 def __init__(self, name, svc):
851 """ constructor """
852 self.__dict__['_optsvc'] = InterfaceCast(gbl.IJobOptionsSvc)(svc)
853 return iService.__init__(self, name, svc)
854

## Member Function Documentation

## ◆ getProperties()

def GaudiPython.Bindings.iJobOptSvc.getProperties | ( |  | self,
|  |  | component
| ) |  |

    Extract *ALL* properties of the given component
    Usage :
    >>> jos   = gaudi.optSvc()
    >>> props = jos.getProperties( 'Name' )

Definition at line 855 of file Bindings.py.

855 def getProperties(self, component):
856 """
857 Extract *ALL* properties of the given component
858 Usage :
859 >>> jos = gaudi.optSvc()
860 >>> props = jos.getProperties( 'Name' )
861 """
862 props = self._optsvc.getProperties(component)
863 prps = {}
864 if not props:
865 return prps # RETURN
866 for p in props:
867 prop = p.name().upper()
868 try:
869 value = eval(p.value(), {}, {})
870 except:
871 value = p.value()
872 prps[prop] = value
873
874 return prps # RETURN
875

## ◆ getProperty()

def GaudiPython.Bindings.iJobOptSvc.getProperty | ( |  | self,
|  |  | component,
|  |  | name
| ) |  |

    Get a certain property of the certain component
    Usage:
    >>> jos  = ...
    >>> extServices = jos.getProperty( 'ApplicationMgr', 'ExtSvc' )

Definition at line 876 of file Bindings.py.

876 def getProperty(self, component, name):
877 """
878 Get a certain property of the certain component
879 Usage:
880 >>> jos = ...
881 >>> extServices = jos.getProperty( 'ApplicationMgr', 'ExtSvc' )
882 """
883 # get all properties of the component
884 all = self.getProperties(component)
885 return all.get(name.upper(), None) # RETURN
886
887
888 # ----iEventSelector class-----------------------------------------------------
889
890
getProperty
const char *PyHelper() getProperty(IInterface *p, char *name)
Definition: Bootstrap.cpp:237

The documentation for this class was generated from the following file:

- GaudiPython/python/GaudiPython/Bindings.py